RescheduleMaintenanceRunDetails¶
-
class
oci.datacc.models.RescheduleMaintenanceRunDetails(**kwargs)¶ Bases:
objectRequest parameters for rescheduling a maintenance run.
Methods
__init__(**kwargs)Initializes a new RescheduleMaintenanceRunDetails object with values from keyword arguments. Attributes
reasonGets the reason of this RescheduleMaintenanceRunDetails. time_scheduled[Required] Gets the time_scheduled of this RescheduleMaintenanceRunDetails. -
__init__(**kwargs)¶ Initializes a new RescheduleMaintenanceRunDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
Parameters: - time_scheduled (datetime) – The value to assign to the time_scheduled property of this RescheduleMaintenanceRunDetails.
- reason (str) – The value to assign to the reason property of this RescheduleMaintenanceRunDetails.
-
reason¶ Gets the reason of this RescheduleMaintenanceRunDetails. The reason for rescheduling the maintenance run.
Returns: The reason of this RescheduleMaintenanceRunDetails. Return type: str
-
time_scheduled¶ [Required] Gets the time_scheduled of this RescheduleMaintenanceRunDetails. The new date and time for the scheduled maintenance run.
Returns: The time_scheduled of this RescheduleMaintenanceRunDetails. Return type: datetime
-